Use this API for initial item setup and maintenance.
This API updates items in bulk, allowing you to update up to 10,000 items at once. Updates with more than 10,000 items are not supported. To ensure optimal feed processing time, keep feed sizes below 25 MB, except for FITMENT_ACES and FITMENT_PIES feeds, which support files up to 50 MB.
You can use the bulk item setup API for any of the following item spec versions by specifying the corresponding feed type as a query parameter:
| FeedTypes | Availability |
|---|---|
| MP_MAINTENANCE, MP_ITEM_MATCH | Global |
| SKU_TEMPLATE_MAP | Global |
| MP_ITEM_INTL | CA, MX, CL |
| MP_ITEM, MP_WFS_ITEM | US Only |
| OMNI_WFS, RETIRE_ITEM, SHIPPING_OVERRIDES, FITMENT_ACES, FITMENT_PIES, SPLIT_AND_MERGE | US Only |
| OMNI_WFSSETUP | CA, MX |
For Fitment feed types FITMENT_ACES and FITMENT_PIES, a zip file needs to be added in the request body. When uploading fitment feeds, it is mandatory to add a boundary parameter in the Content-Type header. For example, Content-Type: multipart/form-data;boundary="----custom boundary". Without a boundary parameter, fitment feeds will fail to process.
Download and review the market-specific request body samples for guidance on formatting the updated feed file before uploading it for processing.
US JSON samples
CA JSON samples
MX JSON samples
CL JSON samples
Variant groups
To create or manage variant groups, use feedType=MP_MAINTENANCE, feedType=MP_ITEM_MATCH, or feedType=MP_ITEM_INTL (CA, MX, CL). In the Visible.[ProductType] block for each item, include variantGroupId, isPrimaryVariant, and variantAttributeNames. Use the following values:
variantGroupId: The group ID- isPrimaryVariant: Use
Yesfor exactly one item per group andNofor all others variantAttributeNames: An array of up to three attribute names, for example,colorandsize
Items that share the same variantGroupId within a single feed are grouped together.
Market availability: Global

